// -*- c++ -*- 
# ifndef XBoardFeature_h
# define XBoardFeature_h
namespace Alice
{
namespace XBoard
{
class XBoardFeature
{
public:
  XBoardFeature( bool defaultValue, bool wanted );
  operator bool() const;
  void accept();
  bool isAccepted() const;
  bool getWanted() const
  {
    return wanted;
  };
private:
  bool current;
  const bool wanted;
};
}; // namespace XBoard
}; // namespace Alice
# endif
